SELECT  hfac.id_mone, hfac.id_pvta, 
        Pvta.cod_pvta, Pvta.desc_pvta, 
        hfad.id_fami, hfad.desc_fami, 
        hfac.cod_mone,hfac.desc_mone, 
        tasa_inv = dbo.lnk_Get_Tasa_Mone_Inv(hfac.id_mone), 
        vbrutas  = ABS(ROUND( Sum( dbo.Get_Importe_Bruto_Hist_Contable(hfad.id_fali) * hfad.cantidad ), 2)),
        vnetas   = ABS(ROUND( Sum( hfal.importe_neto_cont * hfad.cantidad ), 2)), 
        dcto     = ABS(ROUND( SUM( hfal.dcto_noccasa * hfad.cantidad ), 2)), 
        recargo  = ABS(ROUND( SUM( hfal.recargo_noccasa * hfad.cantidad ), 2)), 
        vcosto      = ABS(ROUND( Sum( hfad.precio_costo * hfad.cantidad), 2)), 
        impu_vent   = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,1) * hfad.cantidad ),2)),
        impu_serv   = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,2) * hfad.cantidad ),2)),
        tax3        = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,3) * hfad.cantidad ),2)),
        tax4        = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,4) * hfad.cantidad ),2)),
        tax5        = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,5) * hfad.cantidad ),2)),
        tax6        = ABS(ROUND( SUM( dbo.Get_Suma_Impu_Grupo_Hist(hfad.id_fali,6) * hfad.cantidad ),2)),
        factor_impu = ROUND(1 + (dbo.Calc_Impu_Enfa_Tot_NoExentos(hfad.id_enfa,hfac.id_exen) / 100), 2),
        ccasa       = 0 , 
        hfac.id_moau 
From       VRESTHFAD hfad 
INNER JOIN RESTHFAL  hfal on hfad.id_fali = hfal.id_fali 
INNER JOIN VRESTHFAC hfac ON hfal.id_fact = hfac.id_fact 
INNER JOIN RestPvta  Pvta ON HFac.id_pvta = pvta.id_pvta 
INNER JOIN RestTurn  Turn ON hfac.id_turn = turn.id_turn 
Where hfac.estado = 4 
	  and dbo.Es_CtaCasa_Hist(hfac.id_fact)  = 0  
      and Datediff(day, '2013-10-01' ,turn.fecha_ini) >= 0  
      and DateDiff(day, '2013-10-27' ,turn.fecha_ini) <= 0  
Group by hfad.id_fami, hfac.id_pvta, pvta.cod_pvta, pvta.desc_pvta, hfad.desc_fami, 
         hfac.id_moau, cod_mone, hfac.id_mone, hfac.desc_mone, hfad.id_enfa, hfac.id_exen 
Order by hfac.id_mone, Pvta.cod_pvta, desc_fami
       